#ifndef IRCBOT_H
#define IRCBOT_H

#include "user.h"
#include "message.h"
#include <QObject>
#include <vector>
#include "module.h"
#include "basemodule.h"

class IRCBot : public QObject
{
    Q_OBJECT

    QString nick;
    QString chan;

    std::vector<Module*> modules;
    BaseModule *base;
public:
    IRCBot(QString nick_, QString chan_);

protected:
    void addModule(Module* module);

public slots:
    void receiveMsg(QString msg);
    void disconnect();

signals:
    void sendMsg(QString msg);
};

#endif // IRCBOT_H
